<!doctype html>
<html>
    @@include('./template/_head.html')
    <body>
        <form id="form1" runat="server">
        @@include('./template/_header.html')
        <!-- copy buy_info -->
        <div class="innerWrap">
            <h2 class="pageGrayTitle">尺寸參照</h2>

            <div class="orderdata"> 
                <p class="static_title">系列選擇</p>
                <!-- 系列選擇 -->
                <div class="accordion">
                    <a href="#">Commuter</a>
                    <div>
                        <table class="float_right">
                            <tr>
                                <th>EU</th>
                                <th>CM</th>
                            </tr>
                            <tr>
                                <td>35</td>
                                <td>22.5</td>
                            </tr>
                            <tr>
                                <td>36</td>
                                <td>23.0</td>
                            </tr>
                            <tr>
                                <td>37</td>
                                <td>23.5</td>
                            </tr>
                            <tr>
                                <td>38</td>
                                <td>24.0</td>
                            </tr>
                            <tr>
                                <td>39</td>
                                <td>24.5</td>
                            </tr>
                            <tr>
                                <td>40</td>
                                <td>25.0</td>
                            </tr>
                            <tr>
                                <td>41</td>
                                <td>26.0</td>
                            </tr>
                             <tr>
                                <td>42</td>
                                <td>27.0</td>
                            </tr>
                             <tr>
                                <td>43</td>
                                <td>28.0</td>
                            </tr>
                             <tr>
                                <td>44</td>
                                <td>29.0</td>
                            </tr>
                        </table>
                    </div>

                    <a href="#">KID</a>
                    <div>
                        <table class="float_right">
                            <tr>
                                <th>CM</th>
                                <th></th>
                            </tr>
                            <tr>
                                <td>17.0</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>18.0</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>19.0</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>20.0</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>21.0</td>
                                <td></td>
                            </tr>
                            <tr>
                                <td>22.0</td>
                                <td></td>
                            </tr>
                        </table>
                    </div>

                    <a href="#">Air</a>
                    <div>
                        <table class="float_right">
                            <tr>
                                <th>EU</th>
                                <th>US<span>W/M</span></th>
                                <th>CM</th>
                            </tr>
                            <tr>
                                <td>35</td>
                                <td>W5/M3</td>
                                <td>22.5</td>
                            </tr>
                            <tr>
                                <td>36</td>
                                <td>W6/M4</td>
                                <td>23.0</td>
                            </tr>
                            <tr>
                                <td>37</td>
                                <td>W7/M5</td>
                                <td>23.5</td>
                            </tr>
                            <tr>
                                <td>38</td>
                                <td>W8/M6</td>
                                <td>24.0</td>
                            </tr>
                            <tr>
                                <td>40</td>
                                <td>W9/M7</td>
                                <td>25.0</td>
                            </tr>
                            <tr>
                                <td>41</td>
                                <td>M8</td>
                                <td>26.0</td>
                            </tr>
                             <tr>
                                <td>42</td>
                                <td>M9</td>
                                <td>27.0</td>
                            </tr>
                             <tr>
                                <td>43</td>
                                <td>M10</td>
                                <td>28.0</td>
                            </tr>
                             <tr>
                                <td>44</td>
                                <td>M11</td>
                                <td>29.0</td>
                            </tr>
                        </table>
                    </div>
                </div><!-- end accordion -->
                <!-- end 系列選擇 -->

            </div>

        </div>

        
        <div class="pageCover"></div>

        <script>
            $(function() {
               
                function Accordion(el, head, cnt) {
                    var self = this;
                    self.parent = $(el);
                    self.head = $(el + ' > ' + head);
                    self.content = self.head.next(cnt);
                    self.animating = false;
                    self.init = function() {
                        self.content.each(function() {
                            var originHeight = $(this).height();
                            $(this).data('cntheight', originHeight);
                            $(this).css({height: 0, opacity: 1});
                        });
                        self.bindEvent();
                    };

                    self.bindEvent = function() {
                        self.head.on('click', function(e) {
                            e.preventDefault();
                            if (self.animating) {
                                return;
                            }
                            self.animating = true;
                            if ($(e.target).hasClass('active')) {
                                //start closing
                                $.when( self.closing($(e.target), $(e.target).next(cnt)) ).done(function() {
                                        $(e.target).removeClass('animating').removeClass('active'); //closed
                                        self.animating = false;
                                });
                            } else {
                                //start opening
                                var siblingsHead = $(e.target).siblings(head);
                                var targetHeight = $(e.target).next(cnt).data('cntheight');
                                $.when( self.opening($(e.target), targetHeight), self.siblingsClosing(siblingsHead) ).done(function() {
                                        $(e.target).removeClass('animating').addClass('active');
                                        self.animating = false;
                                });
                            }
                        });

                    };

                    self.closing = function(targetHead, targetCnt) {
                        targetHead.addClass('animating');
                        return targetCnt.removeClass('active').animate({height: 0}, 300, 'linear');
                    };

                    self.opening = function(targetHead, targetHeight) {
                        targetHead.addClass('animating');
                        return targetHead.next(cnt).addClass('active').animate({height: targetHeight}, 300, 'linear');
                    };

                    self.siblingsClosing = function(siblings) {
                        siblings.removeClass('active');
                        return siblings.next(cnt).removeClass('active').animate({height: 0}, 300, 'linear');
                    }
                }

                var infoAcc = new Accordion('.accordion', 'a', 'div');
                infoAcc.init();


            });
        </script>
        
        @@include('./template/_footer.html')
        </form>
    </body>
</html>